local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onTalk(room)
disableMovement()
if not getFlag("Ch4_lunarDeadComputerARGalt") then

if getFlag("argSecondCutsceneWatched") then
 celeste.Audio.Play("event:/classic/sfx0")
 say("TheBigArgB2b")
end
if not getFlag("argSecondCutsceneWatched") then

if not getFlag("argPowerOn2") then
 say("TheBigArg")
end
if getFlag("argPowerOn2") then
 wait(0.5)
 celeste.Audio.Play("event:/new_content/game/10_farewell/glitch_short")
 celeste.Audio.Play("event:/new_content/game/10_farewell/cafe_computer_on")
 coroutine.yield(getLevel():ZoomTo(vector2(164, 109), 1.5, 0.5))
 wait(0.5)
 say("TheBigArgB1")
 celeste.Audio.Play("event:/game/general/seed_complete_berry")
 wait(0.5)
 setFlag("argFaceAppear2", true)
 wait(1)
 say("TheBigArgB2")
 setFlag("argSecondCutsceneWatched", true)
end
end
end
coroutine.yield(engine.Scene:ZoomBack(0.5))
enableMovement()
end

function onEnd(room, wasSkipped)
if getFlag("argPowerOn2") then
 setFlag("argSecondCutsceneWatched", true)
end
enableMovement()
getLevel():ResetZoom()
end